%define version 0.3.8
%define release 15mdk

Summary: KON - Kanji ON Linux console
Summary(ja): KON - 󥽡
Name: kon2
Version: %{version}
Release: %{release}
Group: System/Internationalization
Source0: kon2-0.3.8.tar.bz2
Source1: pubfont.a.gz
Source2: pubfont.k.gz
Source3: terminfo.kon
Patch0: kon2-glibc.diff.bz2
Patch1: kon2-iso8859.diff.bz2
Patch2: kon2-noans.diff.bz2
Patch3: kon2-0.3.8-exec.diff.bz2
Patch4: kon2-gcc2.95-patch.bz2
Patch5: kon2-debian_security_patch.bz2
Copyright: manabe@linet.gr.jp
BuildRoot: %{_tmppath}/kon-root
Requires: ncurses >= 4.2-10vl1, locales-ja
Exclusivearch: i386 i486 i586 i686 k6 k7

%description
KON displays kanji characters on Linux console screen.
It is launched like a shell, so you should put at the very
end of your ~/.profile something like:

TTY=`tty | cut -b-8 2> /dev/null`

if [ "$TTY" = "/dev/tty" ]; then
   exec kon
fi

%description -l ja
KON  Linux Υ󥽡̾Ǵɽ뤿ΥץǤ

%changelog
* Tue Aug 01 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3.8-15mdk
- various security fixes
- added an English man page from Debian

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.8-14mdk
- fixed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.8-13mdk
- Asm only compatible with other arch of x86 (anyone for a fix ?).

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix gcc2.95 compilation.

* Thu Mar 25 1999 MATSUMOTO Shoji <vine@flatout.org>
- 0.3.8-8
- add 'long -e' patch

* Wed Feb 24 1999 MATSUMOTO Shoji <vine@flatout.org>
- correct owner of font

* Tue Feb 23 1999 MATSUMOTO Shoji <vine@flatout.org>
- use ISO8859-1 for ASCII

* Sun Feb 21 1999 MATSUMOTO Shoji <vine@flatout.org>
- refine for usermode rebuild and make config
- comment out to do 'tic terminfo.kon' from %post

* Sat Dec 26 1998  Daisuke SUZUKI <daisuke@linux.or.jp>
- initial release

%prep
%setup0
%setup3 -D -T 
%patch0 -p1 -b .glibc
%patch1 -p0 -b .iso8859
%patch2 -p0 -b .noans
%patch3 -p0 -b .exec
%patch4 -p1 -b .gcc
%patch5 -p1 -b .buffer

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/ja/man1
mkdir -p $RPM_BUILD_ROOT/etc

%build
make config 

# Don't use $RPM_OPT_FLAGS
make 

%install
make install TOPDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/%{_mandir}/ja/man1
install -m 0644 $RPM_SOURCE_DIR/pubfont.a.gz $RPM_BUILD_ROOT/usr/share/fonts
install -m 0644 $RPM_SOURCE_DIR/pubfont.k.gz $RPM_BUILD_ROOT/usr/share/fonts

# create a fake file for %ghost; this could be removed when ncurses
# will include a definition for 'kon'
mkdir -p $RPM_BUILD_ROOT/usr/share/terminfo/k
touch $RPM_BUILD_ROOT/usr/share/terminfo/k/kon

# install the English man page
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp doc/kon.1.eng $RPM_BUILD_ROOT/%{_mandir}/man1/kon.1

# remove useless fiels from doc directory
rm doc/kon.1* doc/*.buffer || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
tic /usr/doc/kon2-%{version}/terminfo.kon
if ! grep '^kon|kanji on console' /etc/termcap >& /dev/null ; then
	 cat /usr/doc/kon2-%{version}/termcap.kon >> /etc/termcap
fi

%files
%defattr(0644,root,root,0755)
%attr(4711,root,root) %{_bindir}/kon
%attr(755,root,root) %{_bindir}/fld
%attr(755,root,root) %{_bindir}/swkon
%attr(755,root,root) %{_bindir}/newvc
%{_mandir}/ja/man1/*
%{_mandir}/man1/*
%config /etc/kon.cfg

%doc doc/* terminfo.kon termcap.kon

/usr/share/fonts/pubfont.a.gz
/usr/share/fonts/pubfont.k.gz

%ghost /usr/share/terminfo/k/kon

